aboutsummaryrefslogtreecommitdiffstats
path: root/tests/07-sync-live/run
diff options
context:
space:
mode:
authorGuilhem Moulin <guilhem@fripost.org>2019-07-05 04:26:24 +0200
committerGuilhem Moulin <guilhem@fripost.org>2019-07-05 04:26:24 +0200
commit590bf57446967d897ee8327c8b2df57b77f4744e (patch)
tree877ba9054b883045592de277911b407522598e77 /tests/07-sync-live/run
parent272ab84e5cb4f37f5fb0351b934839a45b8dd72d (diff)
parent25f1dbdf54947bd6bbce653bc64f6c45b2473792 (diff)
Merge branch 'master' into debian
Diffstat (limited to 'tests/07-sync-live/run')
-rw-r--r--tests/07-sync-live/run6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/07-sync-live/run b/tests/07-sync-live/run
index 1950e0b..04d8247 100644
--- a/tests/07-sync-live/run
+++ b/tests/07-sync-live/run
@@ -6,8 +6,8 @@ interimap --watch=1 & pid=$!
abort() {
# kill interimap process and its children
- pkill -P "$pid" -TERM
- kill -TERM "$pid"
+ pkill -P "$pid" -TERM || true
+ kill -TERM "$pid" || true
wait
}
trap abort EXIT INT TERM
@@ -63,7 +63,7 @@ while [ $(date +%s) -le $timer ]; do
done
# sleep a little bit
- sleep "0.$(shuf -n1 -i1-99)"
+ sleep "$(printf "0.%03d" "$(shuf -n1 -i1-999)")"
done
# wait a little longer so interimap has time to run loop() again and